import { ShapeSeriesBaseDescription } from "./ShapeSeriesBaseDescription";
import { StyleDescription } from "./StyleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ScatterPolylineSeriesDescription extends ShapeSeriesBaseDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private b2;
    get shapeStyle(): StyleDescription;
    set shapeStyle(a: StyleDescription);
}
